{
  "$schema": "https://schema.tauri.app/config/2",
  "productName": "netrunner_app",
  "version": "0.1.0",
  "identifier": "com.netrunner.vpn",
  "build": {
    "beforeDevCommand": "pnpm dev",
    "beforeBuildCommand": "pnpm build",
    "devUrl": "http://192.168.110.169:1420",
    "frontendDist": "../dist"
  },
  "app": {
    "windows": [
      {
        "title": "Netrunner VPN",
        "width": 500,
        "height": 800
      }
    ],
    "security": {
      "csp": "default-src 'self' tauri: localhost; script-src 'self' 'wasm-unsafe-eval' https://web.telegram.org https://*.telegram.org; worker-src 'self' blob:; connect-src 'self' tauri: http://tauri.localhost https://netrunner-vpn.com https://*.netrunner-vpn.com https://web.telegram.org https://*.telegram.org wss://*.web.telegram.org wss://*.tdlib.org; img-src 'self' data: https://web.telegram.org https://*.telegram.org; style-src 'self' 'unsafe-inline' https://web.telegram.org https://*.telegram.org; frame-src https://web.telegram.org https://*.telegram.org;"
    }
  },
  "bundle": {
    "active": true,
    "targets": "all",
    "icon": [
      "icons/32x32.png",
      "icons/64x64.png",
      "icons/128x128.png",
      "icons/128x128@2x.png",
      "icons/icon.png",
      "icons/icon.ico",
      "icons/icon.icns"
    ]
  },
  "plugins": {
    "updater": {
      "active": true,
      "endpoints": [
        "https://github.com/nineAp/netrunner-app/releases/latest/download/latest.json",
        "https://CHANGE_ME_GITEA_SERVER/nineAp/netrunner-app/releases/download/latest/latest.json"
      ],
      "pubkey": "dW50cnVzdGVkIGNvbW1lbnQ6IG1pbmlzaWduIHB1YmxpYyBrZXk6IDcxQTFBM0JEMTk5OEEwQTAKUldTZ29KZ1p2YU9oY1JzTlZZeTlzTGFLS0lyVEdsZDRmODAySWZFajNISlpxdHhibTRUV01UZGkK"
    }
  }
}
